import jwt from 'jsonwebtoken';
export declare class CryptoRepository {
    randomUUID(): string;
    randomBytes(size: number): NonSharedBuffer;
    hashBcrypt(data: string | Buffer, saltOrRounds: string | number): Promise<string>;
    compareBcrypt(data: string | Buffer, encrypted: string): boolean;
    hashSha256(value: string): NonSharedBuffer;
    verifySha256(value: string, encryptedValue: string, publicKey: string): boolean;
    hashSha1(value: string | Buffer): Buffer;
    hashFile(filepath: string | Buffer): Promise<Buffer>;
    randomBytesAsText(bytes: number): string;
    signJwt(payload: string | object | Buffer, secret: string, options?: jwt.SignOptions): string;
    verifyJwt<T = any>(token: string, secret: string): T;
}
